package com.leanwo.activiti.dto.base;

import java.io.Serializable;
import java.util.List;

/**
 * 任务评论.
 *
 * @author Jack
 */
public class TaskComment implements Serializable {
	
	/**
	 * 任务Id
	 */
	private String id;
	
	/**
	 * 任务名称.
	 */
	private String taskName;
	
	/**
	 *  用户ID.
	 */
	private String userId;
	
	/**
	 *  用户姓名.
	 */
	private String userName;
	
	/**
	 *  用户头像.
	 */
	private String userImageUrl;
	
	/**
	 *  评论.
	 */
	private List<CommentDto> comments;
	
	/** 附件名称. */
	private List<String> attachmentNames;
	
	/** 图片名称. */
	private List<String> imageNames;
	
	/**
	 * Gets the 任务Id.
	 *
	 * @return the 评论Id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the 任务Id.
	 *
	 * @param id the new 评论Id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Gets the 任务名称.
	 *
	 * @return the 任务名称
	 */
	public String getTaskName() {
		return taskName;
	}

	/**
	 * Sets the 任务名称.
	 *
	 * @param taskName the new 任务名称
	 */
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	/**
	 * Gets the 用户ID.
	 *
	 * @return the 用户ID
	 */
	public String getUserId() {
		return userId;
	}
	
	/**
	 * Sets the 用户ID.
	 *
	 * @param userId the new 用户ID
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	/**
	 * Gets the 用户姓名.
	 *
	 * @return the 用户姓名
	 */
	public String getUserName() {
		return userName;
	}
	
	/**
	 * Sets the 用户姓名.
	 *
	 * @param userName the new 用户姓名
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	/**
	 * Gets the 用户头像.
	 *
	 * @return the 用户头像
	 */
	public String getUserImageUrl() {
		return userImageUrl;
	}
	
	/**
	 * Sets the 用户头像.
	 *
	 * @param userImageUrl the new 用户头像
	 */
	public void setUserImageUrl(String userImageUrl) {
		this.userImageUrl = userImageUrl;
	}
	
	/**
	 * Gets the 附件名称.
	 *
	 * @return the 附件名称
	 */
	public List<String> getAttachmentNames() {
		return attachmentNames;
	}
	
	/**
	 * Sets the 附件名称.
	 *
	 * @param attachmentNames the new 附件名称
	 */
	public void setAttachmentNames(List<String> attachmentNames) {
		this.attachmentNames = attachmentNames;
	}
	
	/**
	 * Gets the 图片名称.
	 *
	 * @return the 图片名称
	 */
	public List<String> getImageNames() {
		return imageNames;
	}
	
	/**
	 * Sets the 图片名称.
	 *
	 * @param imageNames the new 图片名称
	 */
	public void setImageNames(List<String> imageNames) {
		this.imageNames = imageNames;
	}
	
	/**
	 * Gets the 评论.
	 *
	 * @return the 评论
	 */
	public List<CommentDto> getComments() {
		return comments;
	}
	
	/**
	 * Sets the 评论.
	 *
	 * @param comments the new 评论
	 */
	public void setComments(List<CommentDto> comments) {
		this.comments = comments;
	}	
}
